Skip to main content
`Ctrl`+`K`

# PetscSFWindowFlavorType

Flavor for the creation of MPI windows for `PETSCSFWINDOW`

## Synopsis

    typedef enum {
      PETSCSF_WINDOW_FLAVOR_CREATE,
      PETSCSF_WINDOW_FLAVOR_DYNAMIC,
      PETSCSF_WINDOW_FLAVOR_ALLOCATE,
      PETSCSF_WINDOW_FLAVOR_SHARED
    } PetscSFWindowFlavorType;

## Values

- `PETSCSF_WINDOW_FLAVOR_CREATE` - Use `MPI_Win_create()`, no reuse

- `PETSCSF_WINDOW_FLAVOR_DYNAMIC` - Use `MPI_Win_create_dynamic()` and dynamically attach pointers

- `PETSCSF_WINDOW_FLAVOR_ALLOCATE` - Use `MPI_Win_allocate()`

- `PETSCSF_WINDOW_FLAVOR_SHARED` - Use `MPI_Win_allocate_shared()`

## See Also

`PetscSF`, `PetscSFWindowSyncType`, `PetscSFWindowSetFlavorType()`, `PetscSFWindowGetFlavorType()`

## Level

advanced

## Location

include/petscsf.h

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages